Package org.apache.nutch.exchange

## Interface Exchange

- All Superinterfaces:
    `Configurable`, `Pluggable`
  All Known Implementing Classes:
    `JexlExchange`

      public interface Exchange
      extends Pluggable, Configurable

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `X_POINT_ID` | The name of the extension point.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `match​(NutchDocument doc)` | Determines if the document must go to the related index writers.
    `void` | `open​(Map<String,​String> parameters)` | Initializes the internal variables.

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Field Detail

    - #### X_POINT_ID

          static final String X_POINT_ID

      The name of the extension point.

  - ### Method Detail

    - #### open

          void open​(Map<String,​String> parameters)

      Initializes the internal variables.
      Parameters:
        `parameters` - Params from the exchange configuration.

    - #### match

          boolean match​(NutchDocument doc)

      Determines if the document must go to the related index writers.
      Parameters:
        `doc` - The given document.
      Returns:
        True if the given document match with this exchange. False in other case.